File: libpam0g.templates

package info (click to toggle)
pam 1.1.8-3.6
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 11,800 kB
  • ctags: 2,930
  • sloc: ansic: 31,350; xml: 21,611; sh: 11,344; makefile: 1,563; perl: 893; yacc: 408; lex: 70; sed: 16
file content (38 lines) | stat: -rw-r--r-- 1,678 bytes parent folder | download | duplicates (5)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
Template: libpam0g/restart-services
Type: string
_Description: Services to restart for PAM library upgrade:
 Most services that use PAM need to be restarted to use modules built for
 this new version of libpam.  Please review the following space-separated
 list of init.d scripts for services to be restarted now, and correct it
 if needed.

Template: libpam0g/xdm-needs-restart
Type: error
_Description: Display manager must be restarted manually
 The wdm and xdm display managers require a restart for the new version of
 libpam, but there are X login sessions active on your system that would be
 terminated by this restart.  You will therefore need to restart these
 services by hand before further X logins will be possible.

Template: libpam0g/restart-failed
Type: error
#flag:translate!:3
_Description: Failure restarting some services for PAM upgrade
 The following services could not be restarted for the PAM library upgrade:
 .
 ${services}
 .
 You will need to start these manually by running
 '/etc/init.d/<service> start'.

Template: libraries/restart-without-asking
Type: boolean
Default: false
_Description: Restart services during package upgrades without asking?
 There are services installed on your system which need to be restarted
 when certain libraries, such as libpam, libc, and libssl, are upgraded.
 Since these restarts may cause interruptions of service for the system,
 you will normally be prompted on each upgrade for the list of services
 you wish to restart.  You can choose this option to avoid being prompted;
 instead, all necessary restarts will be done for you automatically so you
 can avoid being asked questions on each library upgrade.